//
//  MedtechAnalysis.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#ifndef MedtechAnalysis_hh
#define MedtechAnalysis_hh

#include <stdio.h>
#include "TTree.h"
#include "TFile.h"

class MedtechAnalysis
{
private:
    /* Here will be the instance stored. */
    static MedtechAnalysis* instance;
    
    /* Private constructor to prevent instancing. */
    TTree *tree;
    TFile *file;
public:
    /* Static access method. */
    MedtechAnalysis();
    ~MedtechAnalysis();
    
    void Fill(double, double, double);
    void Close();
    
    static MedtechAnalysis* getInstance();
};

#endif /* MedtechAnalysis_hh */
