//
//  MedtechPhysicsList.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechPhysicsList_hh
#define MedtechPhysicsList_hh

#include <stdio.h>
#include "G4VUserPhysicsList.hh"
#include "G4SystemOfUnits.hh"
#include "G4Electron.hh"
#include "G4Positron.hh"
#include "G4Gamma.hh"

class MedtechPhysicsList : public G4VUserPhysicsList
{
private:
    G4double cutForGamma = 1.0*cm;
    G4double cutForElectron = 1.*mm;
    G4double cutForPositron = 0.1*mm;
public:
    MedtechPhysicsList();
    virtual ~MedtechPhysicsList();
    virtual void ConstructProcess();
    virtual void ConstructParticle();
    virtual void SetCuts();
};

#endif /* MedtechPhysicsList_hpp */
