//
//  MedtechPrimaryGeneratorAction.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechPrimaryGeneratorAction_hh
#define MedtechPrimaryGeneratorAction_hh

#include <stdio.h>
#include "G4VUserPrimaryGeneratorAction.hh"
#include "G4SystemOfUnits.hh"
#include "G4Types.hh"
#include "G4ParticleGun.hh"
#include "G4ParticleTable.hh"
#include "G4ThreeVector.hh"
#include "Parameters.hh"

class MedtechPrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
public:
    MedtechPrimaryGeneratorAction();
    virtual ~MedtechPrimaryGeneratorAction();
    virtual void GeneratePrimaries(G4Event* anEvent);
    
    // method to access particle gun
    const G4ParticleGun* GetParticleGun() const { return particleGun; }
private:
    G4ParticleGun *particleGun;
};

#endif /* MedtechPrimaryGeneratorAction_hh */
