//
//  MedtechSteppingAction.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechSteppingAction_hh
#define MedtechSteppingAction_hh

#include <stdio.h>
#include "G4UserSteppingAction.hh"
#include "MedtechEventAction.hh"
#include "G4Gamma.hh"

class MedtechSteppingAction : public G4UserSteppingAction
{
public:
    MedtechSteppingAction(MedtechEventAction *eventAction);
    virtual ~MedtechSteppingAction();
    
    virtual void UserSteppingAction(const G4Step*);
    
private:
    MedtechEventAction*  fEventAction;
    G4LogicalVolume* fScoringVolume;
};

#endif /* MedtechSteppingAction_hh */
