//
//  MedtechEventAction.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#include "MedtechEventAction.hh"

MedtechEventAction::MedtechEventAction(MedtechRunAction *runAction) : G4UserEventAction(), fRunAction(runAction), fEdep(0.)
{
}

MedtechEventAction::~MedtechEventAction()
{
    
}

void MedtechEventAction::BeginOfEventAction(const G4Event*)
{
    fEdep = 0.;
}

void MedtechEventAction::EndOfEventAction(const G4Event*)
{
    // accumulate statistics in run action
    fRunAction->AddEdep(fEdep);
}
