//
//  MedtechEventAction.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechEventAction_hh
#define MedtechEventAction_hh

#include <stdio.h>
#include "G4UserEventAction.hh"
#include "G4Types.hh"
#include "MedtechRunAction.hh"

class MedtechEventAction : public G4UserEventAction
{
public:
    MedtechEventAction(MedtechRunAction *runAction);
    virtual ~MedtechEventAction();
    
    virtual void BeginOfEventAction(const G4Event* event);
    virtual void EndOfEventAction(const G4Event* event);
    
    void AddEdep(G4double edep) { fEdep += edep; }
    
private:
    MedtechRunAction* fRunAction;
    G4double     fEdep;
};

#endif /* MedtechEventAction_hh */
