//
//  MedtechRun.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 02..
//

#ifndef MedtechRun_hh
#define MedtechRun_hh

#include <stdio.h>
#include "G4Run.hh"

class MedtechRun : public G4Run
{
public:
    MedtechRun();
    virtual ~MedtechRun();
    
    virtual void Merge(const G4Run*);
    
    void AddEdep (G4double edep);
    
    G4double GetEdep()  const { return fEdep; }
    
private:
    G4double  fEdep;
};

#endif /* MedtechRun_hh */
