//
//  MedtechActionInitialization.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#include "MedtechActionInitialization.hh"

MedtechActionInitialization::MedtechActionInitialization() : G4VUserActionInitialization()
{
    
}

MedtechActionInitialization::~MedtechActionInitialization()
{
    
}

void MedtechActionInitialization::BuildForMaster() const
{
    MedtechRunAction* runAction = new MedtechRunAction;
    SetUserAction(runAction);
}

void MedtechActionInitialization::Build() const
{
    SetUserAction(new MedtechPrimaryGeneratorAction);
    
    MedtechRunAction* runAction = new MedtechRunAction;
    SetUserAction(runAction);
    
    MedtechEventAction* eventAction = new MedtechEventAction(runAction);
    SetUserAction(eventAction);
    
    SetUserAction(new MedtechSteppingAction(eventAction));
}
