//
//  MedtechAnalysis.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#include "MedtechAnalysis.hh"

MedtechAnalysis::MedtechAnalysis()
{
    tree = new TTree("tree", "tree");
    file = new TFile("data.root","RECREATE");
    instance = this;
}

MedtechAnalysis::~MedtechAnalysis()
{
    
}

void MedtechAnalysis::Fill(double x, double y, double e)
{
    tree -> Branch("x", &x, "x/D");
    tree -> Branch("y", &y, "y/D");
    tree -> Branch("e", &e, "e/D");
    
    tree -> Fill();
    //tree -> ChangeFile(file);
}

void MedtechAnalysis::Close()
{
    tree -> Write();
    file -> Close();
}
