//
//  MedtechRun.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 02..
//

#include "MedtechRun.hh"

MedtechRun::MedtechRun() : G4Run()
{
    fEdep = 0.0;
}

MedtechRun::~MedtechRun()
{
    
}

void MedtechRun::Merge(const G4Run* run)
{
    const MedtechRun* localRun = static_cast<const MedtechRun*>(run);
    fEdep  += localRun->fEdep;
    
    G4Run::Merge(run);
}

void MedtechRun::AddEdep (G4double edep)
{
    fEdep  += edep;
}
